Debian Bug report logs - #572353
given some -config=custom should fail/report if they fail to read /etc/awstats.custom.conf

version graph

Package: awstats; Maintainer for awstats is Sergey B Kirpichev <skirpichev@gmail.com>; Source for awstats is src:awstats.

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Wed, 3 Mar 2010 16:48:01 UTC

Severity: normal

Tags: patch

Found in version awstats/6.7.dfsg-5.1

Fixed in version awstats/6.9.5~dfsg-3

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3003544&group_id=13764&atid=113764

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Wed, 03 Mar 2010 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Wed, 03 Mar 2010 16:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: given some -config=custom should fail/report if they fail to read /etc/awstats.custom.conf
Date: Wed, 03 Mar 2010 11:43:52 -0500
Package: awstats
Version: 6.7.dfsg-5.1
Severity: normal

uff... costed me quite a few minutes to figure out what was the issue.

I was trying to config multi-site setup to generate static pages.  When I
followed instructions and created /etc/awstats/awstats.custom.conf and then ran
awstats.pl -config=custom, it didn't spit out any warning/error but said that
it read /etc/awstats/awstats.conf and /etc/awstats/awstats.conf.local and
nothing about custom.  Even in debug=1 no error of any kind was reported...

the issue was -- file was there, BUT with permissions disallowing for the user
I was executing awstats.pl to read it...  So, reasonable software, provided a
specific configuration file should puke an error and fail if it fails to read
that file -- not just "go on" without any mentioining of a problem.


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages awstats depends on:
ii  perl [libtime-hires-perl 5.10.0-19lenny2 Larry Wall's Practical Extraction 

Versions of packages awstats recommends:
ii  libnet-xwhois-perl            0.90-3     Whois Client Interface for Perl5

Versions of packages awstats suggests:
ii  apache2-mpm-prefork [htt 2.2.9-10+lenny6 Apache HTTP Server - traditional n
pn  libgeo-ipfree-perl       <none>          (no description available)
ii  libnet-dns-perl          0.63-2          Perform DNS queries from a Perl sc
ii  libnet-ip-perl           1.25-2          Perl extension for manipulating IP

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Wed, 03 Mar 2010 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 572353@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Wed, 03 Mar 2010 17:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 572353@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Yaroslav Halchenko <debian@onerussian.com>, 572353@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#572353: given some -config=custom should fail/report if they fail to read /etc/awstats.custom.conf
Date: Wed, 3 Mar 2010 18:19:44 +0100
[Message part 1 (text/plain, inline)]
Hi Yaroslav,

On Wed, Mar 03, 2010 at 11:43:52AM -0500, Yaroslav Halchenko wrote:
>I was trying to config multi-site setup to generate static pages.  When 
>I followed instructions and created /etc/awstats/awstats.custom.conf 
>and then ran awstats.pl -config=custom, it didn't spit out any 
>warning/error but said that it read /etc/awstats/awstats.conf and 
>/etc/awstats/awstats.conf.local and nothing about custom.  Even in 
>debug=1 no error of any kind was reported...
>
>the issue was -- file was there, BUT with permissions disallowing for 
>the user I was executing awstats.pl to read it...  So, reasonable 
>software, provided a specific configuration file should puke an error 
>and fail if it fails to read that file -- not just "go on" without any 
>mentioining of a problem.

Thanks a lot for reporting this!

Could you be persuaded to dig one step deeper and try locate where it 
does not fail properly?  I imagine (without looking at the code at all) 
that it is simply a shell script which needs a "set -e" somewhere...


Kind regards,

 - Jonas


-- 
* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Wed, 03 Mar 2010 17:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Wed, 03 Mar 2010 17:33:10 GMT) Full text and rfc822 format available.

Message #15 received at 572353@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 572353@bugs.debian.org
Cc: Jonas Smedegaard <dr@jones.dk>
Subject: Re: [Pkg-awstats-devel] Bug#572353: given some -config=custom should fail/report if they fail to read /etc/awstats.custom.conf
Date: Wed, 3 Mar 2010 12:31:58 -0500
[Message part 1 (text/plain, inline)]
On Wed, 03 Mar 2010, Jonas Smedegaard wrote:
> Thanks a lot for reporting this!
"pleasure" is mine ;)

> Could you be persuaded to dig one step deeper and try locate where
> it does not fail properly?  I imagine (without looking at the code
> at all) that it is simply a shell script which needs a "set -e"
> somewhere...
well -- it is the native call to awstats.pl (and I am not very verse in
perl, especially debugging it)...

so here is what I was getting... doh -- screen history didn't store that
far... ok -- lets replicate ones again:


awstats@pymvpa:~$ ls -l /etc/awstats/awstats.custom.conf 
-rw------- 1 root root 172 2010-03-03 12:25 /etc/awstats/awstats.custom.conf
awstats@pymvpa:~$ /usr/lib/cgi-bin/awstats.pl -config=custom -debug=2 | head -15
Wed Mar  3 12:27:27 2010 - DEBUG 1 - Awstats - 6.7 (build 1.892) - Perl /usr/bin/perl 5.010000
Wed Mar  3 12:27:27 2010 - DEBUG 2 - DIR=/usr/lib/cgi-bin PROG=awstats Extension=pl
Wed Mar  3 12:27:27 2010 - DEBUG 2 - QUERY_STRING=config=custom&amp;debug=2
Wed Mar  3 12:27:27 2010 - DEBUG 1 - HTMLOutput=
Wed Mar  3 12:27:27 2010 - DEBUG 2 - YearRequired=2010, MonthRequired=03
Wed Mar  3 12:27:27 2010 - DEBUG 2 - DayRequired=, HourRequired=
Wed Mar  3 12:27:27 2010 - DEBUG 2 - UpdateFor=0
Wed Mar  3 12:27:27 2010 - DEBUG 2 - PluginMode=
Wed Mar  3 12:27:27 2010 - DEBUG 2 - DirConfig=
Wed Mar  3 12:27:27 2010 - DEBUG 1 - Config file read was "/etc/awstats/awstats.conf.local" (level 2)
Wed Mar  3 12:27:27 2010 - DEBUG 1 - Config file read was "/etc/awstats/awstats.conf" (level 1)
Wed Mar  3 12:27:27 2010 - DEBUG 1 - Search an available language among HTTP_ACCEPT_LANGUAGE=
Wed Mar  3 12:27:27 2010 - DEBUG 1 -  No language defined or available. Will use Lang=en
Wed Mar  3 12:27:27 2010 - DEBUG 1 - Call to Check_Config
Wed Mar  3 12:27:27 2010 - DEBUG 2 -  LogFile='/var/log/apache2/access.log-all'


as you see - no custom was read, no puke in debug msg, and if I run without debug:

awstats@pymvpa:~$ /usr/lib/cgi-bin/awstats.pl -config=custom
Create/Update database for config "/etc/awstats/awstats.conf" by AWStats version 6.7 (build 1.892)
From data in log file "/var/log/apache2/access.log-all"...
Phase 1 : First bypass old records, searching new record...
Direct access after last parsed record (after line 7134)
Jumped lines in file: 7134
 Found 7134 already parsed records.
Parsed lines in file: 0
 Found 0 dropped records,
 Found 0 corrupted records,
 Found 0 old records,
 Found 0 new qualified records.

so it digested only /etc/awstats/awstats.conf and proceeded as
everything was fine... lets now "fix" the permissions:

awstats@pymvpa:~$ ls -l /etc/awstats/awstats.custom.conf 
-rw-r--r-- 1 root root 172 2010-03-03 12:25 /etc/awstats/awstats.custom.conf
awstats@pymvpa:~$ /usr/lib/cgi-bin/awstats.pl -config=custom
Error: AWStats database directory defined in config file by 'DirData' parameter (/home/www/awstats/lib/custom) does not exist or is not writable.
Setup ('/etc/awstats/awstats.custom.conf' file, web server or permissions) may be wrong.
Check config file, permissions and AWStats documentation (in 'docs' directory).

Finally it read the bloody file! ;) disregard the error -- I've created
this config just to show the problem ;-)

-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Wed, 03 Mar 2010 18:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 572353@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Wed, 03 Mar 2010 18:12:06 GMT) Full text and rfc822 format available.

Message #20 received at 572353@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Yaroslav Halchenko <debian@onerussian.com>, 572353@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#572353: Bug#572353: given some -config=custom should fail/report if they fail to read /etc/awstats.custom.conf
Date: Wed, 3 Mar 2010 19:06:12 +0100
[Message part 1 (text/plain, inline)]
On Wed, Mar 03, 2010 at 12:31:58PM -0500, Yaroslav Halchenko wrote:
>
>On Wed, 03 Mar 2010, Jonas Smedegaard wrote:

>> Could you be persuaded to dig one step deeper and try locate where
>> it does not fail properly?  I imagine (without looking at the code
>> at all) that it is simply a shell script which needs a "set -e"
>> somewhere...
>well -- it is the native call to awstats.pl (and I am not very verse in
>perl, especially debugging it)...

Thanks for the details!

I understand - we'll take it from here!

(but not me now - I have my head full of other tasks currently so won't 
dive deeper into this than talk at the moment)


 - Jonas

-- 
* Jonas Smedegaard - idealist & Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Sun, 25 Apr 2010 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Neighbors <debian3@ken.nsds.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Sun, 25 Apr 2010 19:09:04 GMT) Full text and rfc822 format available.

Message #25 received at 572353@bugs.debian.org (full text, mbox):

From: Ken Neighbors <debian3@ken.nsds.com>
To: 572353@bugs.debian.org
Subject: A Suggestion
Date: Sun, 25 Apr 2010 11:53:38 -0700
I have some comments and a suggestion for handling AWStats
configuration files in Debian.

OBSERVATION:

When you invoke "/usr/lib/cgi-bin/awstats.pl -config=mysite", it
searches the following directories in order:

  /usr/lib/cgi-bin
  /etc/awstats
  /usr/local/etc
  /etc
  /etc/opt/awstat

For each directory, it looks for two files "awstats.mysite.conf" or
"awstats.conf".  So here is the complete search order:

  /usr/lib/cgi-bin/awstats.mysite.conf
  /usr/lib/cgi-bin/awstats.conf
  /etc/awstats/awstats.mysite.conf
  /etc/awstats/awstats.conf
  /usr/local/etc/awstats/awstats.mysite.conf
  /usr/local/etc/awstats/awstats.conf
  /etc/awstats.mysite.conf
  /etc/awstats.conf
  /etc/opt/awstat/awstats.mysite.conf
  /etc/opt/awstat/awstats.conf

It stops as soon as it finds one.  It only emits an error message if
none of the above files are found.  I do not believe it is a good idea
to change the awstats.pl file to do something different, as it may
break existing installations.  However, note that AWStats has two
command line options related to finding the configuration file:

  -configdir=DirConfig (single directory to search for config file)
  -config=SiteConfig   ("virtualhostname" in the config file name)

SUGGESTION:

Do not use a file named "awstats.conf" at all, nor allow AWStats to
search so many different directories.  This way, if the config file
does not exist or is not readable, awstats.pl will emit an error
message.  For example:

  root# ls -l /etc/awstats
  -rw------- 1 root root    49 2010-04-25 11:20 awstats.custom.conf
  -rw-r--r-- 1 root root 61033 2010-04-25 11:10 default.conf
  -rw-r--r-- 1 root root   240 2010-03-26 16:39 local.conf

  root# su www-data -c "/usr/lib/cgi-bin/awstats.pl 
-configdir=/etc/awstats -config=custom"
  Error: Couldn't open config file "awstats.custom.conf" nor
  "awstats.conf" after searching in path "/etc/awstats": No such file
  or directory

  - Did you use correct config parameter ?
  Example: If your config file is awstats.mysite.conf, use -config=mysite
  - Did you create your config file 'awstats.custom.conf' ?
  If not, you can run "awstats_configure.pl"
  from command line, or create it manually.

  Check config file, permissions and AWStats documentation (in 'docs'
  directory).

Here are the specifics of my suggestion:

1. Use the "-configdir" option in Debian-packaged scripts
(/usr/share/awstats/tools/buildstatic.sh and update.sh) to instruct
awstats.pl to only search one directory, "/etc/awstats".

2. Do not create a default /etc/awstats/awstats.conf file.  Instead,
create a default /etc/awstats/default.conf file which can be included
into one or more local, site-specific configuration files.  Do not
have the Debian-packaged scripts use this default configuration file,
but only sysadmin-installed custom configuration files.  Here are more
details:

2a. /etc/awstats/default.conf
This file contains the default configuration shipped with the awstats
Debian package (currently it is called awstats.conf).

2b. Either get rid of /etc/awstats/awstats.conf.local or rename it
local.conf and change the last line of default.conf to: Include
"local.conf"

2c. Create /etc/awstats/README file that explains how the
configuration files are read.  For example:

AWStats will search this directory for any configuration file(s) of
the form awstats.*.conf, for example "awstats.mysite.conf".  See
/usr/share/doc/awstats/examples/awstats.mysite.conf for a sample
configuration file.

2d. Provide a sample configuration file in
/usr/share/doc/awstats/examples/awstats.mysite.conf which can be
copied by the sysadmin into /etc/awstats and modified for their local
requirements:

# This is a sample site-specific configuration file for AWStats.  You
# can copy it into /etc/awstats and rename it according to your site
# name.  Also change the SiteDomain parameter below to your site name
# and add any additional configuration parameters that you wish to
# override (see /etc/awstats/default.conf for a list of parameters).
# You may create several copies of this file with different names for
# multiple virtual hosts.

# Note that when a variable is defined both in a config file and in an
# included file, AWStats will use the last value read for parameters that
# contains one value and AWStats will concat all values from both files for
# parameters that are lists of values.
#
Include="default.conf"

# "SiteDomain" must contain the main domain name, or the main intranet web
# server name, used to reach the web site.
# If you share the same log file for several virtual web servers, this
# parameter is used to tell AWStats to filter record that contains 
records for
# this virtual host name only (So check that this virtual hostname can be
# found in your log file and use a personalized log format that include the
# %virtualname tag).
# But for multi hosting a better solution is to have one log file for each
# virtual web server. In this case, this parameter is only used to generate
# full URL's links when ShowLinksOnUrl option is set to 1.
# If analyzing mail log, enter here the domain name of mail server.
# Example: "myintranetserver"
# Example: "www.domain.com"
# Example: "ftp.domain.com"
# Example: "domain.com"
#
SiteDomain="mysite"

2e. Edit /usr/share/awstats/tools/buildstatic.sh and update.sh and
change

> for c in awstats \
>          `/bin/ls -1 awstats.*.conf 2>/dev/null | \
>           /bin/sed 's/^awstats\.\(.*\)\.conf/\1/'`
> do

to:

> for c in `/bin/ls -1 awstats.*.conf 2>/dev/null | \
>           /bin/sed 's/^awstats\.\(.*\)\.conf/\1/'`
> do

and add right before "-config=$c":

    -configdir=/etc/awstats

I hope this is helpful.  I am planning to implement something like the
above for the sites I manage.  I look forward to further discussion on
the handling of AWStats configuration file(s) in Debian.  It is very
tricky to get right, and what works for one might not work for
another.

Ken




Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Thu, 29 Apr 2010 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Neighbors <KenNeighbors@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Thu, 29 Apr 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 572353@bugs.debian.org (full text, mbox):

From: Ken Neighbors <KenNeighbors@gmail.com>
To: 572353@bugs.debian.org
Subject: Here's a patch to solve original poster's problem
Date: Thu, 29 Apr 2010 13:47:15 -0700
[Message part 1 (text/plain, inline)]
Earlier I suggested changing the names of the default configuration 
files to avoid having awstats.pl unexpectedly fall back on using the 
default just because it couldn't read the one specified on the command 
line.  I still think that is a better solution (in combination with 
"-configdir=DirConfig"), but it is a difficult change to make as it 
would have a large effect on everyone that uses the package.  So I leave 
it as a suggestion for individual sysadmins.

I'm attaching a patch that should solve the original poster's request of 
having awstats.pl report an error if it cannot read a config file that 
was specified on the command line.

Ken
[awstats.pl.patch (text/x-patch, inline)]
--- awstats.pl.orig	2010-04-29 20:34:38.000000000 +0000
+++ awstats.pl	2010-04-29 20:34:08.000000000 +0000
@@ -1742,17 +1742,23 @@
 		if ( $searchdir && $searchdir !~ /[\\\/]$/ ) { $searchdir .= "/"; }
 		if ( open( CONFIG, "$searchdir$PROG.$SiteConfig.conf" ) ) {
 			$FileConfig = "$searchdir$PROG.$SiteConfig.conf";
 			$FileSuffix = ".$SiteConfig";
 			last;
 		}
+		elsif ( -e "$searchdir$PROG.$SiteConfig.conf" ) {
+			error("Couldn't open config file \"$searchdir$PROG.$SiteConfig.conf\": $!" );
+		}
 		if ( open( CONFIG, "$searchdir$PROG.conf" ) ) {
 			$FileConfig = "$searchdir$PROG.conf";
 			$FileSuffix = '';
 			last;
 		}
+		elsif ( -e "$searchdir$PROG.conf" ) {
+			error("Couldn't open config file \"$searchdir$PROG.conf\": $!" );
+		}
 	}
 	if ( !$FileConfig ) {
 		error(
 "Couldn't open config file \"$PROG.$SiteConfig.conf\" nor \"$PROG.conf\" after searching in path \""
 			  . join( ',', @PossibleConfigDir )
 			  . "\": $!" );

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3003544&group_id=13764&atid=113764'. Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Tue, 18 May 2010 18:51:08 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Tue, 18 May 2010 18:51:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from sk@darkstar.order.hcn-strela.ru (Sergey B Kirpichev) to control@bugs.debian.org. (Tue, 18 May 2010 18:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Tue, 18 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sergey B Kirpichev <skirpichev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 18 May 2010 19:03:03 GMT) Full text and rfc822 format available.

Message #41 received at 572353@bugs.debian.org (full text, mbox):

From: Sergey B Kirpichev <skirpichev@gmail.com>
To: Ken Neighbors <debian3@ken.nsds.com>, 572353@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#572353: A Suggestion
Date: Tue, 18 May 2010 23:00:48 +0400
On Sun, Apr 25, 2010 at 10:53 PM, Ken Neighbors <debian3@ken.nsds.com> wrote:
> Here are the specifics of my suggestion:
>
> 1. Use the "-configdir" option in Debian-packaged scripts
> (/usr/share/awstats/tools/buildstatic.sh and update.sh) to instruct
> awstats.pl to only search one directory, "/etc/awstats".

This is a good idea.  Probably, an option for /etc/default/awstats &
debconf question together could give a backward-compatible solution.

Jonas, Andreas - do you have suggestions?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Tue, 18 May 2010 21:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ken Neighbors <debian3@ken.nsds.com>:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Tue, 18 May 2010 21:51:18 GMT) Full text and rfc822 format available.

Message #46 received at 572353@bugs.debian.org (full text, mbox):

From: Ken Neighbors <debian3@ken.nsds.com>
To: Sergey B Kirpichev <skirpichev@gmail.com>
Cc: 572353@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#572353: A Suggestion
Date: Tue, 18 May 2010 14:50:41 -0700
Sergey B Kirpichev wrote:
> On Sun, Apr 25, 2010 at 10:53 PM, Ken Neighbors <debian3@ken.nsds.com> wrote:
>> Here are the specifics of my suggestion:
>>
>> 1. Use the "-configdir" option in Debian-packaged scripts
>> (/usr/share/awstats/tools/buildstatic.sh and update.sh) to instruct
>> awstats.pl to only search one directory, "/etc/awstats".
> 
> This is a good idea.  Probably, an option for /etc/default/awstats &
> debconf question together could give a backward-compatible solution.

Since I wrote that suggestion, I have found and considered some 
additional information that may be helpful in deciding whether or not to 
implement it:

1. The "-configdir" option would only affect the location of 
configuration files when awstats.pl is called from the Debian-packaged 
scripts.  It would NOT affect the location of configuration files when 
awstats.pl is called from the web server (through cgi-bin).  This 
discrepancy may lead to some inconsistent reports or problems that are 
difficult to track down, because the sysadmin may have installed some 
similarly-named config files in the alternate configdir locations (which 
would get accessed from awstats.pl called from the web server, but not 
when called from the Debian scripts).  Therefore, this particular part 
of my suggestion could introduce a problem I had not initially considered.

2. If deciding to implement the rest of my suggestion (or any suggestion 
which involves moving or renaming configuration files), this resource 
may be helpful for automatically renaming a conffile on package-upgrade 
(you might already know about this technique):
  http://wiki.debian.org/DpkgConffileHandling

Ken





Information forwarded to debian-bugs-dist@lists.debian.org, Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>:
Bug#572353; Package awstats. (Wed, 19 May 2010 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 572353@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>. (Wed, 19 May 2010 07:09:03 GMT) Full text and rfc822 format available.

Message #51 received at 572353@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <jonas@jones.dk>
To: Ken Neighbors <debian3@ken.nsds.com>, 572353@bugs.debian.org
Subject: Re: [Pkg-awstats-devel] Bug#572353: A Suggestion
Date: Wed, 19 May 2010 09:07:24 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 18, 2010 at 02:50:41PM -0700, Ken Neighbors wrote:
>Sergey B Kirpichev wrote:
>>On Sun, Apr 25, 2010 at 10:53 PM, Ken Neighbors <debian3@ken.nsds.com> 
>>wrote:
>>>Here are the specifics of my suggestion:
>>>
>>>1. Use the "-configdir" option in Debian-packaged scripts
>>>(/usr/share/awstats/tools/buildstatic.sh and update.sh) to instruct
>>>awstats.pl to only search one directory, "/etc/awstats".
>>
>>This is a good idea.  Probably, an option for /etc/default/awstats &
>>debconf question together could give a backward-compatible solution.
>
>Since I wrote that suggestion, I have found and considered some 
>additional information that may be helpful in deciding whether or not 
>to implement it:


Ken: Would you perhaps like to join us in our team maintaining AWstats?

You need not be a Debian Developers to join, just interest in AWstats, 
interest in working with us, and a bit of technical skills - and you 
seem to have all of that :-)


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Wed, 19 May 2010 12:21:09 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Wed, 19 May 2010 12:21:09 GMT) Full text and rfc822 format available.

Message #56 received at 572353-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 572353-close@bugs.debian.org
Subject: Bug#572353: fixed in awstats 6.9.5~dfsg-3
Date: Wed, 19 May 2010 12:17:10 +0000
Source: awstats
Source-Version: 6.9.5~dfsg-3

We believe that the bug you reported is fixed in the latest version of
awstats, which is due to be installed in the Debian FTP archive:

awstats_6.9.5~dfsg-3.debian.tar.gz
  to main/a/awstats/awstats_6.9.5~dfsg-3.debian.tar.gz
awstats_6.9.5~dfsg-3.dsc
  to main/a/awstats/awstats_6.9.5~dfsg-3.dsc
awstats_6.9.5~dfsg-3_all.deb
  to main/a/awstats/awstats_6.9.5~dfsg-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572353@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated awstats package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 19 May 2010 13:53:50 +0200
Source: awstats
Binary: awstats
Architecture: source all
Version: 6.9.5~dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian AWStats Team <pkg-awstats-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 awstats    - powerful and featureful web server log analyzer
Closes: 350601 572353 580672 580692 580693 580704
Changes: 
 awstats (6.9.5~dfsg-3) unstable; urgency=low
 .
   [ Sergey B Kirpichev ]
   * Show error messages from cron jobs.
     Closes: bug#580672, thanks to Ken Neighbors.
   * Add option to disable nightly generation of static html reports.
     Closes: bug#580692, thanks to Ken Neighbors.
   * Option to use "nice" to lower the priority of cron scripts.
     Closes: bug#580693, thanks to Ken Neighbors.
   * Set default language (en) for static reports generation
   * Cosmetic improvements to cron scripts.
     Closes: bug#580704.
   * Recognize method/protocol RTSP in uppercase.
     Closes: bug#350601, thanks to Lee Maguire.
   * Report permissions problem while reading awstats.custom.conf.
     Closes: bug#572353, thanks to Ken Neighbors.
 .
   [ Jonas Smedegaard ]
   * Reverse test logic when sourcing /etc/default/awstats to not fail if
     missing.
   * Respect TMPDIR for temporary files (i.e. use mktemp --tmpdir).
   * Update patches:
     + Drop (unapplied) patch 0011: applied upstream at some point in the
       past.
     + Unfuzz (unapplied) patch 0006.
     + Refresh patches 0006, 1015 and 1016 with compacting quilt options
       --no-index --no-timestamps -pab.
Checksums-Sha1: 
 65a0d00a9556356e27dbdddb70edba3dc1ce665c 1429 awstats_6.9.5~dfsg-3.dsc
 b6c4129ec07aac5e7d792c7ac97705243ea4d6aa 38727 awstats_6.9.5~dfsg-3.debian.tar.gz
 191e157a51391c33478e3993f182ee550b324a3a 985542 awstats_6.9.5~dfsg-3_all.deb
Checksums-Sha256: 
 de94426295c62a1af0e2e2dbaf85e9d889201c6dfc5b94a03ca2da28c2cba657 1429 awstats_6.9.5~dfsg-3.dsc
 2ded3ecf7e153309212a930a7f07d32080281024c8bcf165d64bae57bb2c4dc8 38727 awstats_6.9.5~dfsg-3.debian.tar.gz
 c23a39f8ffdc118e2a65c5fb8199e7d20af65a65a77dc6313606cc1e5e99bc07 985542 awstats_6.9.5~dfsg-3_all.deb
Files: 
 968b45d3f5f2692fa27c655abb51181e 1429 web optional awstats_6.9.5~dfsg-3.dsc
 b1f694a01ae50cb3dffb00ecec9887d9 38727 web optional awstats_6.9.5~dfsg-3.debian.tar.gz
 72d7e584ae477da97a4105e2feeb15ed 985542 web optional awstats_6.9.5~dfsg-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkvz1IMACgkQn7DbMsAkQLiN7gCgp5n+ZuhPc29u8JYadtHz8lnu
6ecAoJHDbvbUWMK/1WHfk1QSoSRvTCoJ
=WRTw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Dec 2010 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:55:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.